SVObjects = Elements.o Language.o Graphics.o Snapshot.o ReadWrite.o Drawable.o SVGL.o

LIBPATH += -L"/System/Library/Frameworks/OpenGL.framework/Libraries"
FRAMEWORK = -framework GLUT
FRAMEWORK += -framework OpenGL
CXX = g++
CXXFLAGS = -DMACOSX  -g 
INCLUDE = -I. -I/usr/include
LDLIBS =   -lGLU -lGL -lpthread -lm -lobjc -lstdc++

all: traedris

traedris: $(SVObjects)
	$(CXX) $(CXXFLAGS) $(FRAMEWORK) $(LIBPATH) $(INCLUDE) $(LDLIBS) -o traedris $(SVObjects)

Elements.o: Elements.hpp
Language.o: Elements.hpp Language.hpp
Graphics.o: Graphics.hpp
Snapshot.o: Elements.hpp Snapshot.hpp
ReadWrite.o: Elements.hpp Snapshot.hpp ReadWrite.hpp
Drawable.o: Elements.hpp Graphics.hpp Snapshot.hpp Drawable.hpp
SVGL.o: Elements.hpp Snapshot.hpp ReadWrite.hpp Drawable.hpp SVGL.hpp Revision.hpp

.PHONY : clean
clean:
	rm *.o traedris
